TechDraw Groupe de projections

From FreeCAD Documentation
This page is a translated version of the page TechDraw ProjectionGroup and the translation is 100% complete.

TechDraw Groupe de projections

Emplacement du menu
TechDraw → Vues de Techdraw → Insérer un groupe de projections
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Vue active, TechDraw Vue de coupe

Description

L'outil TechDraw Groupe de projections crée une projection multi-vue d'un ou plusieurs objets 3D. Les vues isométriques des 4 coins de devant peuvent également être incluses.

Si vous ne voulez produire qu'une seule vue, l'utilisation de Groupe de projections ne présente aucun avantage. Vous devez alors utiliser Insérer une vue dans la page à la place. Si vous ne souhaitez pas utiliser les traditionnelles projection premier-angle/projection troisième-angle, vous devez utiliser plusieurs Vues (Insérer une vue dans la page) au lieu de Groupe de projections.

Trois vues orthogonales et une vue isométrique d'un objet solide

Utilisation

  1. Vous pouvez faire pivoter la vue 3D. La direction de la caméra dans la vue 3D détermine la valeur initiale de la Direction primaire du groupe de projection (la propriété DonnéesDirection de la vue centrale).
  2. Sélectionnez un ou plusieurs objets dans la vue 3D ou de la vue en arborescence.
  3. S'il y a plusieurs pages de dessin dans le document : vous pouvez ajouter la page souhaitée à la sélection en la sélectionnant dans la vue en arborescence.
  4. Il existe plusieurs façons de lancer l'outil :
  5. Si le document comporte plusieurs pages de dessin et que vous n'avez pas encore sélectionné de page, la boîte de dialogue Sélecteur de pages s'ouvre : introduit dans la version 0.20
    1. Sélectionnez la page souhaitée.
    2. Appuyez sur le bouton OK.
  6. Le panneau de tâches Groupe de projection s'ouvre.
  7. Sélectionnez les vues qui doivent apparaître dans le groupe de projection, ainsi que l'échelle et les autres paramètres du groupe de projection.
  8. Appuyez sur le bouton OK.
  9. Vous pouvez déplacer le groupe de projection en faisant glisser sa vue centrale.
  10. Vous pouvez également déplacer les autres vues du groupe de projection par rapport à la vue centrale en les faisant glisser individuellement.

Le panneau des tâches de Groupe de projections. Le champ Direction primaire indique la direction en cours de la vue.

Propriétés

Données

Base

  • DonnéesSource (LinkList) : liens vers les objets dessinables à représenter.
  • DonnéesXSource (XLLinkList) : liens vers les objets dessinables dans un fichier externe.
  • DonnéesAnchor (Link) : vue centrale du groupe. Normalement, il s'agit de la vue de face.
  • DonnéesProjectionType (Enumeration): First Angle ou Third Angle.

Pour les autres propriétés de ce groupe, voir TechDraw Vue.

Collection

  • DonnéesViews (LinkList) : liens vers les vues de ce Groupe de projections.

Distribute

  • DonnéesAuto Distribute (Bool) : si true, espace automatiquement les vues individuelles. Utilisez false pour un positionnement manuel.
  • Donnéesspacing X (Length) : espace horizontal entre les vues lorsqu'elles sont positionnées automatiquement. Notez que l'échelle et la taille des autres vues du groupe influencent également l'espacement.
  • Donnéesspacing Y (Length) : espace vertical entre les vues lorsqu'elles sont positionnées automatiquement.

Vue

Base

Voir TechDraw Vue

Remarques

Groupe de projections dans son ensemble hérite de X, Y, ScaleType, Scale (Échelle) et Rotation à partir de la vue de base.

Les vues individuelles au sein du groupe héritent de toutes les propriétés de vue de la pièce, mais l'objet ProjectionGroup contrôle l'échelle de toutes ses vues membres.

La propriété RotationVector des différentes vues du groupe est obsolète à partir de v0.19. Utilisez XDirection à la place.

Notez que la boîte centrale affiche la direction de projection en cours de la vue principale. Elle ne peut pas être utilisée pour changer de direction.

Script

Voir aussi : Autogenerated API documentation et FreeCAD Débuter avec les scripts.

Un Groupe de projections peut être crée à partir de macros et de la console Python en utilisant la fonction suivante :

import FreeCAD as App

doc = App.ActiveDocument
cyl = doc.addObject("Part::Cylinder", "Cylinder")
doc.recompute()

page = doc.addObject("TechDraw::DrawPage", "Page")
template = doc.addObject("TechDraw::DrawSVGTemplate", "Template")
template.Template = App.getResourceDir() + "Mod/TechDraw/Templates/A4_LandscapeTD.svg"
page.Template = template

# Toggle the visibility of the page to ensure its width and height are updated (hack):
page.Visibility = False
page.Visibility = True

group = doc.addObject("TechDraw::DrawProjGroup", "ProjGroup")
page.addView(group)
group.Source = [cyl]
group.ProjectionType = "Third Angle"

front_view = group.addProjection("Front") # First projection will become the Anchor.
group.Anchor.Direction = (0, 1, 0)
group.Anchor.RotationVector = (1, 0, 0)

left_view = group.addProjection("Left")
top_view = group.addProjection("Top")

group.X = page.PageWidth / 2
group.Y = page.PageHeight / 2

doc.recompute()

Remarque : le groupe de projection doit toujours être ajouté à la page page.addView(group) avant d'ajouter des projections au groupe. Cela permet au groupe de projections d'utiliser les valeurs de paramètre par défaut dérivées de la page parente.